<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.2.80
Name: [2] Treść dokumentu realizacji recepty
Description: Bazowy szablon struktury CDA dla treści medycznej realizacji
            recepty
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000">
   <title>[2] Treść dokumentu realizacji recepty</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]
Item: (plCdaDrugDispenseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]"
         id="tmp-r-57be0362-6729-4b54-a9b6-73b545ee5a8b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80'])&gt;=1 ">(plCdaDrugDispenseComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80'] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80'])&lt;=1">(plCdaDrugDispenseComponent): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']
Item: (plCdaDrugDispenseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']"
         id="tmp-r-b1f71604-de66-4c5e-a54c-58e5700e372a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaDrugDispenseComponent): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(plCdaDrugDispenseComponent): Atrybut @contextConductionInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80']/@nullFlavor)">(plCdaDrugDispenseComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80'])&lt;=1">(plCdaDrugDispenseComponent): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:structuredBody)&gt;=1 and not(hl7:structuredBody/@nullFlavor)">(plCdaDrugDispenseComponent): element hl7:structuredBody jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:structuredBody)&lt;=1">(plCdaDrugDispenseComponent): element hl7:structuredBody występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80']
Item: (plCdaDrugDispenseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.2.80']"
         id="tmp-r-f3b0cbe2-2d56-476f-8a16-b934b36b289f">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugDispenseComponent): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.2.80'">(plCdaDrugDispenseComponent): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.2.80'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugDispenseComponent): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody
Item: (plCdaDrugDispenseComponent)
-->

   <rule context="*[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody"
         id="tmp-r-00456cf6-56c9-4f17-9ec7-60b1053c9d1c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(plCdaDrugDispenseComponent): Wartość dla @classCode MUSI wynosić 'DOCBODY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDrugDispenseComponent): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="//hl7:act[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.67']/hl7:entryRelationship/hl7:observation[hl7:code/@code='RLPO']/hl7:value/@code!='100%' and not(hl7:component/hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.69']])">(plCdaDrugDispenseComponent): Dla realizacji recepty refundowanej wymagana jest sekcja danych
                  ubezpieczeniowych</report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]])&gt;=1 and not(hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]]/@nullFlavor)">(plCdaDrugDispenseComponent): element hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(plCdaDrugDispenseComponent): element hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')]]])&lt;=1">(plCdaDrugDispenseComponent): element hl7:component[hl7:section[hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')]]] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.2.80-2019-05-30T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']])&lt;=1">(plCdaDrugDispenseComponent): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']] występuje zbyt często [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (plCdaDrugDispenseComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody/hl7:component[hl7:section[hl7:code[(@code='48768-6' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (plCdaDrugDispenseComponent)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.2.80
Context: *[hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']]/hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.80']/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.2']]
Item: (plCdaDrugDispenseComponent)
--></pattern>
